<?xml version="1.0"?>

<st-source>
<time-stamp>From VisualWorks® Personal Use Edition, 7.9.1 of 18 octobre 2012 on 20 décembre 2013 at 07:42:53</time-stamp>


<class>
<name>EmergencyHandler</name>
<environment>Maarten</environment>
<super>Core.ErrorNotifier</super>
<private>false</private>
<indexed-type>none</indexed-type>
<inst-vars></inst-vars>
<class-inst-vars></class-inst-vars>
<imports></imports>
<category></category>
<attributes>
<package>Apricot</package>
</attributes>
</class>

<!-- -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -   -->


<methods>
<class-id>Maarten.EmergencyHandler class</class-id> <category>instance creation</category>

<body package="Apricot" selector="new">new
	"Answer a newly created and initialized instance."

	^super new initialize</body>
</methods>

<!-- -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -   -->


<comment>
<class-id>Maarten.EmergencyHandler</class-id>
<body>This is the RuntimeEmergency class which will get the application as quite as possible and log user errors.

</body>
</comment>

<methods>
<class-id>Maarten.EmergencyHandler</class-id> <category>actions</category>

<body package="Apricot" selector="notify">notify
	"Write a dump (if possible) and notify user that an error occurred"
	"see if we have already come this way"

	| |
	self checkForErrorRecursion.

	"remember the current state in case another error occurs"
	self class errorState: #processingError.
	self class errorProcess: Processor activeProcess.


	"fill out missing information depending on which instantiation
	technique was used. This is done after the recursive error test
	to catch problems finding the missing ingredients."

	"self inferMissingData."

	"check for proceedable signal that can proceed"

	"self isProceedable
		ifTrue: 
			[self canProceedableExceptionProceed
				ifTrue: 
					[self class resetErrorState.
					^self exception proceed]].
"

	"dump errors"
	self createEmergencyDump.

	"now ignore it"
 

"MyDialog internalError   
		ifTrue:[ self dismissException]

		ifFalse:[ObjectMemory quit]."

 self dismissException</body>
</methods>

</st-source>
