"build a dev image (not saved) so we can parcel out the latest pieces for a full runtime build.  "

"bring in necessary parcel pre-reqs"
| profile versions savePackageBlock saveBundleBlock stream dir files |
#(
       	 '$(VISUALWORKS)\contributed\PostgreSQL\StoreForPostgreSQL.pcl'
	  '$(VISUALWORKS)\packaging\RuntimePackager.pcl'
) do: [:each |
        Parcel loadParcelFrom: each].

"read in VW Settings - the next two sections assume that you have saved your settings for Store, and that you have a connection named MyStore"

stream := 'repositories.xml' asFilename readStream.
Store.RepositoryManager importRepositoriesFromStream: stream.


"load from Store - connect to public store first.  Modify this section to match your existing repository names"
profile := Store.RepositoryManager repositories 
	detect: [:each | 'MyStore' = each name] 
	ifNone: [nil].
profile ifNil: [^self].
Store.DbRegistry connectTo: profile.

saveBundleBlock := [:name :dir |
	| bundle |
	bundle := Store.BundleModel allInstances detect: [:each | each name = name].
	bundle
		saveAsParcel: (dir asFilename construct: name) 
		saveStructure: true 
		saveLinks: true].

savePackageBlock := [:name :dir |
	| pkg |
	pkg := Store.PackageModel allInstances detect: [:each | each name = name].
	pkg
		saveAsParcel: (dir asFilename construct: name) 
		saveStructure: true 
		saveLinks: true].

"ensure that directory exists"
'testBuild' asFilename exists
	ifFalse: ['testBuild' asFilename makeDirectory].

"clear the build dir"
dir := 'testBuild' asFilename.
files := dir directoryContents.
files do: [:each |
	| filename |
	filename := dir construct: each.
	filename delete].

"load in the package, save the parcel to build dir"
(Store.Glorp.StorePackage  newestVersionWithName: 'Apricot') loadSrc.
 savePackageBlock value: 'Apricot' value: 'testBuild'.
 savePackageBlock value: 'CairoHandyPaths' value: 'testBuild'.
savePackageBlock value: 'HigherGlyphics' value: 'testBuild'.
 savePackageBlock value: 'UILooks-Vista' value: 'testBuild'.
 savePackageBlock value: 'Windows7LookPolicy' value: 'testBuild'.
 savePackageBlock value: 'Windows7LookExtraCairoPolicy' value: 'testBuild'.
 savePackageBlock value: 'WaitForVisual' value: 'testBuild'.
 savePackageBlock value: 'NetClients' value: 'testBuild'.
savePackageBlock value: 'Pac Parser' value: 'testBuild'.
savePackageBlock value: 'NextDataSet' value: 'testBuild'.
savePackageBlock value: 'DateField' value: 'testBuild'.

"now quit"
ObjectMemory quit.

