

" remove any older image "
old := 'stakepoint.im' asFilename.
old exists ifTrue: [old delete].

"Load Settings from file"
VisualWorksSettings readFromFile: 'VisualWorksSettings.xml' asFilename.

"load all my needed parcels (Non-Windows)"

"Used to be   	'$(VISUALWORKS)/packaging/RuntimePackager.pcl'   "
[#(
	'$(VISUALWORKS)\packaging\RuntimePackager.pcl'
	'testBuild\Apricot.pcl'
	) do: [:each |
	Parcel loadParcelFrom: each]]
on: MissingParcelSource, ParcelAlreadyLoadedError, ParcelMissingError
	do: [:ex | ex class = ParcelAlreadyLoadedError
			ifTrue: [ex resume: false]
			ifFalse: [ex resume: true]].

"turn change log off, so that we can ship patches reasonably"
	'ChangeSet.BroadcastChanges' asQualifiedReference 
		ifDefinedDo: [:flag | 'ChangeSet.BroadcastChanges' asQualifiedReference value: false].




"go to deployment"

"reset parcel path"
Parcel searchPathModel value removeAll.

"set up logging and exception handling"
DeploymentOptionsSystem current startInRuntime: true.
"Notifier current: RuntimePackager.RuntimeEmergencyNotifier."
"Notifier current: RuntimePackager.RuntimeQuietEmergencyNotifier."

Notifier current: Maarten.EmergencyHandler.

RuntimePackager.RuntimeManager errorLogPath: 'error.log'.
Notifier logToFile: true.


"set up runtime state"
UI.WindowManager noWindowBlock: [:windowManager | ].
stream := WriteStream on: String new.
stream nextPutAll: 'changeRequest'; cr; cr; tab.
stream nextPutAll: '^true'.
VisualLauncher compile: stream contents.
VisualLauncher allInstances do: [:each | each closeAndUnschedule.  each release].
ObjectMemory garbageCollect.
Workbook allInstances do: [:each | each closeRequest].
(Delay forSeconds: 10) wait.
Parcel searchPathModel value: (List with: (PortableFilename named: '.')).
SourceFileManager default discardSources.

"Now save the image such that this file doesn't get looked for at startup"
[ObjectMemory permSaveAs: 'stakepoint' thenQuit: false] fork.
[(Delay forSeconds: 25) wait.
RuntimeSystem isRuntime ifFalse: [ObjectMemory quit]] fork

